org.apache.ignite.internal.processors.cache.query.continuous

## Class SecurityAwareFilterFactory<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.security.AbstractSecurityAwareExternalizable<javax.cache.configuration.Factory<javax.cache.event.CacheEntryEventFilter<K,V>>>
  - - org.apache.ignite.internal.processors.cache.query.continuous.SecurityAwareFilterFactory<K,V>

All Implemented Interfaces:
  Externalizable, Serializable, javax.cache.configuration.Factory<javax.cache.event.CacheEntryEventFilter<K,V>>, GridInternalWrapper<javax.cache.configuration.Factory<javax.cache.event.CacheEntryEventFilter<K,V>>>

    public class SecurityAwareFilterFactory<K,V>
    extends AbstractSecurityAwareExternalizable<javax.cache.configuration.Factory<javax.cache.event.CacheEntryEventFilter<K,V>>>
    implements javax.cache.configuration.Factory<javax.cache.event.CacheEntryEventFilter<K,V>>

Security aware remote filter factory.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.security.AbstractSecurityAwareExternalizable

`ignite, original, subjectId`

### Constructor Summary

Constructors
Constructor and Description
`SecurityAwareFilterFactory()` Default constructor.
`SecurityAwareFilterFactory(UUID subjectId, javax.cache.configuration.Factory<javax.cache.event.CacheEntryEventFilter<K,V>> original)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.cache.event.CacheEntryEventFilter<K,V>` `create()`

### Methods inherited from class org.apache.ignite.internal.processors.security.AbstractSecurityAwareExternalizable

`logAccessDeniedMessage, readExternal, userObject, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityAwareFilterFactory

    public SecurityAwareFilterFactory()

Default constructor.

#### SecurityAwareFilterFactory

    public SecurityAwareFilterFactory(UUID subjectId,
                                      javax.cache.configuration.Factory<javax.cache.event.CacheEntryEventFilter<K,V>> original)

Parameters:
  `subjectId` - Security subject id.
  `original` - Original factory.

### Method Detail

#### create

    public javax.cache.event.CacheEntryEventFilter<K,V> create()

Specified by:
  `create` in interface `javax.cache.configuration.Factory<javax.cache.event.CacheEntryEventFilter<K,V>>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021